Get training job progress
curl --request GET \
--url https://{tenant}-api.mathfi.ai/api/v1/training/{trainingJobKey}/progress \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}-api.mathfi.ai/api/v1/training/{trainingJobKey}/progress"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)"{\n \"status\": \"COMPLETED\",\n \"jobs\": [\n {\n \"trainingJobKey\": \"bc9aa412-8d4f-4b00-89af-0e6e3dcf8e57\",\n \"algorithm\": \"BSEV01\",\n \"status\": \"NOT_COMPLETED\",\n \"latestPerformance\": 0.6198999,\n \"recentPerformances\": [\n 0.6198999,\n 0.6198999,\n 0.6198999,\n 0.6198999,\n 0.6198999\n ]\n },\n {\n \"trainingJobKey\": \"d9ab4260-6416-45d6-91e4-7b0b8a0ad56b\",\n \"algorithm\": \"BFIF01\",\n \"status\": \"NOT_COMPLETED\",\n \"latestPerformance\": 0.7714181,\n \"recentPerformances\": [\n 0.7712554,\n 0.7712554,\n 0.77137744,\n 0.7714181\n ]\n },\n {\n \"trainingJobKey\": \"e7edd490-3ee2-49f8-a49c-e9f9759965e8\",\n \"algorithm\": \"BSIX01\",\n \"status\": \"NOT_COMPLETED\",\n \"latestPerformance\": 0.859485,\n \"recentPerformances\": [\n 0.85789835,\n 0.86017656,\n 0.8659534,\n 0.8659534,\n 0.859485\n ]\n },\n {\n \"trainingJobKey\": \"f2275fde-73ed-43d0-948a-17ff8f586874\",\n \"algorithm\": \"BSEV02\",\n \"status\": \"COMPLETED\",\n \"latestPerformance\": 0.92002606,\n \"recentPerformances\": [\n 0.9193752,\n 0.91998535,\n 0.91998535,\n 0.9197413,\n 0.92002606\n ]\n }\n ]\n"Training
Get training job progress
Get training job progress by its key. The status indicates the progress.
GET
/
api
/
v1
/
training
/
{trainingJobKey}
/
progress
Get training job progress
curl --request GET \
--url https://{tenant}-api.mathfi.ai/api/v1/training/{trainingJobKey}/progress \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}-api.mathfi.ai/api/v1/training/{trainingJobKey}/progress"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)"{\n \"status\": \"COMPLETED\",\n \"jobs\": [\n {\n \"trainingJobKey\": \"bc9aa412-8d4f-4b00-89af-0e6e3dcf8e57\",\n \"algorithm\": \"BSEV01\",\n \"status\": \"NOT_COMPLETED\",\n \"latestPerformance\": 0.6198999,\n \"recentPerformances\": [\n 0.6198999,\n 0.6198999,\n 0.6198999,\n 0.6198999,\n 0.6198999\n ]\n },\n {\n \"trainingJobKey\": \"d9ab4260-6416-45d6-91e4-7b0b8a0ad56b\",\n \"algorithm\": \"BFIF01\",\n \"status\": \"NOT_COMPLETED\",\n \"latestPerformance\": 0.7714181,\n \"recentPerformances\": [\n 0.7712554,\n 0.7712554,\n 0.77137744,\n 0.7714181\n ]\n },\n {\n \"trainingJobKey\": \"e7edd490-3ee2-49f8-a49c-e9f9759965e8\",\n \"algorithm\": \"BSIX01\",\n \"status\": \"NOT_COMPLETED\",\n \"latestPerformance\": 0.859485,\n \"recentPerformances\": [\n 0.85789835,\n 0.86017656,\n 0.8659534,\n 0.8659534,\n 0.859485\n ]\n },\n {\n \"trainingJobKey\": \"f2275fde-73ed-43d0-948a-17ff8f586874\",\n \"algorithm\": \"BSEV02\",\n \"status\": \"COMPLETED\",\n \"latestPerformance\": 0.92002606,\n \"recentPerformances\": [\n 0.9193752,\n 0.91998535,\n 0.91998535,\n 0.9197413,\n 0.92002606\n ]\n }\n ]\n"Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Training job progress successful response
Status of training:
PENDING- The training job has been created and is pending executionRUNNING- The training job is currently executing and progressingCOMPLETED- The training job has completed execution successfully, reaching the target performance. A model has been generated.TIMED_OUT- The training job could not reach the target performance in the configuredCANCELLED- The training job has been cancelled by the userNOT_COMPLETED- The training job has stalled without making progress in a specified timeframeFAILED- The training job has failed due to an error
Available options:
PENDING, RUNNING, COMPLETED, TIMED_OUT, CANCELLED, FAILED, NOT_COMPLETED Show child attributes
Show child attributes
How long to wait before asking again. Absent once the job has finished — there is nothing further to wait for, and a client that honours this stops polling.